var Delivery = function()
{
	var delivery = {};
	var debug = 0;
	
	// Page initialization
	delivery.initPage = function()
	{
		// Step 1
		Events.addEventHandler('step-1', 'wizard-validate', delivery.validateStep1);
		Events.addEventHandler('workList', 'change', delivery.worklistOnChange);
		Events.addEventHandler('deliveredDate', 'change', Wizard.validateDate);

		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('godownload', delivery.downloadDelivery);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', delivery.submit);
		
		var url = '../Outtake.servlet?ID='+App.getSessionId();
		url += '&cmd=GetOuttakeWorklists&forDelivery=1';
		Wizard.showLoadingAnimation('Loading outtake work lists...');
		Wizard.asyncJsonRequest(url, delivery.initializeStep1);
	}

	delivery.initializeStep1 = function(response)
	{
		var frm = document.forms['reggie'];
		var workLists = response.workLists;
		
		var workList = frm.workList;
		if (workLists.length > 0)
		{
			for (var i=0; i < workLists.length; i++)
			{
				var list = workLists[i];
				var name = list.name + ' (' + list.size + ')';
				var option = new Option(name, list.id);
				option.workList = list;
				workList.options[workList.length] = option;
			}
			Events.sendChangeEvent(workList);
		}
		else
		{
			Wizard.setFatalError('No outtake works lists available for processing.');
			return;
		}
		
		Doc.show('step-1');
		Doc.show('godownload');
		Doc.show('goregister');
	}
	
	delivery.worklistOnChange = function()
	{
		var frm = document.forms['reggie'];
		var workList = frm.workList[frm.workList.selectedIndex].workList;
		frm.comments.value = workList.comments;
	}

	
	delivery.validateStep1 = function(event)
	{
		var frm = document.forms['reggie'];
		
		var valid = true;
		valid &= frm.workList.selectedIndex >= 0;
		valid &= Wizard.isValid('deliveredDate');

		if (!valid)	event.preventDefault();
	}
	
	delivery.downloadDelivery = function(event)
	{
		var frm = document.forms['reggie'];

		var url = '../Outtake.servlet?ID='+App.getSessionId();
		url += '&cmd=DownloadDeliveryFile';
		url += '&workListId='+frm.workList.value;
		if (frm.useExternalId.checked)
		{
			url += '&useExternalId=1';
		}
		location.href = url;
	}

	delivery.submit = function()
	{
		var frm = document.forms['reggie'];

		var submitInfo = {};
		submitInfo.workList = parseInt(frm.workList.value, 10);

//		var failed = Doc.element('outcomeFailed').checked;
//		submitInfo.failed = failed;
		
		submitInfo.deliveredDate = frm.deliveredDate.value;
		submitInfo.comments = frm.comments.value;
		
		var	url = '../Outtake.servlet?ID='+App.getSessionId();
		url += '&cmd=RegisterOuttakeDelivered';
		Wizard.showLoadingAnimation('Performing registration...');
		Wizard.asyncJsonRequest(url, delivery.submissionResults, 'POST', JSON.stringify(submitInfo));

	}
	
	delivery.submissionResults = function(response)
	{
		var frm = document.forms['reggie'];
		Wizard.showFinalMessage(response.messages);
		Doc.show('gorestart');
	}

	return delivery;
}();

Doc.onLoad(Delivery.initPage);

